package tests;

import entities.Customer;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {
    
    EntityManagerFactory emf = Persistence.createEntityManagerFactory("secondary-table-PU");

    public static void main(String args[]){
        TestsRunner test = new TestsRunner();
        Customer c1 = createCustomer(10, 23, "bangalore", "m g road");
        Customer c2 = createCustomer(11, 23, "bangalore", "m g road");
        
        test.persistCustomer(c1);
        test.persistCustomer(c2);
    }
    
    private void persistCustomer(Customer c2) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        em.persist(c2);
        em.getTransaction().commit();
    }
    
    private static Customer createCustomer(Integer id, int age, String city, String street) {
        Customer c1 = new Customer();
        c1.setId(id);
        c1.setAge(age);
        c1.setCity(city);
        c1.setStreet(street);
        return c1;
    }
    
}
